Ignore:
Timestamp:
Apr 25, 2007, 9:44:55 AM (14 years ago)
Author:
Paul Smedley
Message:

Code updated to Samba 3.0.25rc2 level

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/samba/source/configure

    r26 r30  
    699699INSTALL_PAM_MODULES
    700700UNINSTALL_PAM_MODULES
     701NSS_MODULES
    701702EXTRA_BIN_PROGS
    702703SMBMOUNT_PROGS
     
    24312432
    24322433
     2434
    24332435## check for --enable-debug first before checking CFLAGS before
    24342436## so that we don't mix -O and -g
     
    1443814440
    1443914441
    14440 for ac_header in stdbool.h sys/select.h
     14442
     14443for ac_header in stdbool.h stdint.h sys/select.h
    1444114444do
    1444214445as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    1476614769
    1476714770
     14771if test "${ac_cv_header_stdint_h+set}" = set; then
     14772  { echo "$as_me:$LINENO: checking for stdint.h" >&5
     14773echo $ECHO_N "checking for stdint.h... $ECHO_C" >&6; }
     14774if test "${ac_cv_header_stdint_h+set}" = set; then
     14775  echo $ECHO_N "(cached) $ECHO_C" >&6
     14776fi
     14777{ echo "$as_me:$LINENO: result: $ac_cv_header_stdint_h" >&5
     14778echo "${ECHO_T}$ac_cv_header_stdint_h" >&6; }
     14779else
     14780  # Is the header compilable?
     14781{ echo "$as_me:$LINENO: checking stdint.h usability" >&5
     14782echo $ECHO_N "checking stdint.h usability... $ECHO_C" >&6; }
     14783cat >conftest.$ac_ext <<_ACEOF
     14784/* confdefs.h.  */
     14785_ACEOF
     14786cat confdefs.h >>conftest.$ac_ext
     14787cat >>conftest.$ac_ext <<_ACEOF
     14788/* end confdefs.h.  */
     14789$ac_includes_default
     14790#include <stdint.h>
     14791_ACEOF
     14792rm -f conftest.$ac_objext
     14793if { (ac_try="$ac_compile"
     14794case "(($ac_try" in
     14795  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     14796  *) ac_try_echo=$ac_try;;
     14797esac
     14798eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     14799  (eval "$ac_compile") 2>conftest.er1
     14800  ac_status=$?
     14801  grep -v '^ *+' conftest.er1 >conftest.err
     14802  rm -f conftest.er1
     14803  cat conftest.err >&5
     14804  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     14805  (exit $ac_status); } &&
     14806         { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
     14807  { (case "(($ac_try" in
     14808  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     14809  *) ac_try_echo=$ac_try;;
     14810esac
     14811eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     14812  (eval "$ac_try") 2>&5
     14813  ac_status=$?
     14814  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     14815  (exit $ac_status); }; } &&
     14816         { ac_try='test -s conftest.$ac_objext'
     14817  { (case "(($ac_try" in
     14818  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     14819  *) ac_try_echo=$ac_try;;
     14820esac
     14821eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     14822  (eval "$ac_try") 2>&5
     14823  ac_status=$?
     14824  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     14825  (exit $ac_status); }; }; then
     14826  ac_header_compiler=yes
     14827else
     14828  echo "$as_me: failed program was:" >&5
     14829sed 's/^/| /' conftest.$ac_ext >&5
     14830
     14831        ac_header_compiler=no
     14832fi
     14833
     14834rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     14835{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     14836echo "${ECHO_T}$ac_header_compiler" >&6; }
     14837
     14838# Is the header present?
     14839{ echo "$as_me:$LINENO: checking stdint.h presence" >&5
     14840echo $ECHO_N "checking stdint.h presence... $ECHO_C" >&6; }
     14841cat >conftest.$ac_ext <<_ACEOF
     14842/* confdefs.h.  */
     14843_ACEOF
     14844cat confdefs.h >>conftest.$ac_ext
     14845cat >>conftest.$ac_ext <<_ACEOF
     14846/* end confdefs.h.  */
     14847#include <stdint.h>
     14848_ACEOF
     14849if { (ac_try="$ac_cpp conftest.$ac_ext"
     14850case "(($ac_try" in
     14851  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     14852  *) ac_try_echo=$ac_try;;
     14853esac
     14854eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     14855  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
     14856  ac_status=$?
     14857  grep -v '^ *+' conftest.er1 >conftest.err
     14858  rm -f conftest.er1
     14859  cat conftest.err >&5
     14860  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     14861  (exit $ac_status); } >/dev/null; then
     14862  if test -s conftest.err; then
     14863    ac_cpp_err=$ac_c_preproc_warn_flag
     14864    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     14865  else
     14866    ac_cpp_err=
     14867  fi
     14868else
     14869  ac_cpp_err=yes
     14870fi
     14871if test -z "$ac_cpp_err"; then
     14872  ac_header_preproc=yes
     14873else
     14874  echo "$as_me: failed program was:" >&5
     14875sed 's/^/| /' conftest.$ac_ext >&5
     14876
     14877  ac_header_preproc=no
     14878fi
     14879
     14880rm -f conftest.err conftest.$ac_ext
     14881{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     14882echo "${ECHO_T}$ac_header_preproc" >&6; }
     14883
     14884# So?  What about this header?
     14885case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     14886  yes:no: )
     14887    { echo "$as_me:$LINENO: WARNING: stdint.h: accepted by the compiler, rejected by the preprocessor!" >&5
     14888echo "$as_me: WARNING: stdint.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
     14889    { echo "$as_me:$LINENO: WARNING: stdint.h: proceeding with the compiler's result" >&5
     14890echo "$as_me: WARNING: stdint.h: proceeding with the compiler's result" >&2;}
     14891    ac_header_preproc=yes
     14892    ;;
     14893  no:yes:* )
     14894    { echo "$as_me:$LINENO: WARNING: stdint.h: present but cannot be compiled" >&5
     14895echo "$as_me: WARNING: stdint.h: present but cannot be compiled" >&2;}
     14896    { echo "$as_me:$LINENO: WARNING: stdint.h:     check for missing prerequisite headers?" >&5
     14897echo "$as_me: WARNING: stdint.h:     check for missing prerequisite headers?" >&2;}
     14898    { echo "$as_me:$LINENO: WARNING: stdint.h: see the Autoconf documentation" >&5
     14899echo "$as_me: WARNING: stdint.h: see the Autoconf documentation" >&2;}
     14900    { echo "$as_me:$LINENO: WARNING: stdint.h:     section \"Present But Cannot Be Compiled\"" >&5
     14901echo "$as_me: WARNING: stdint.h:     section \"Present But Cannot Be Compiled\"" >&2;}
     14902    { echo "$as_me:$LINENO: WARNING: stdint.h: proceeding with the preprocessor's result" >&5
     14903echo "$as_me: WARNING: stdint.h: proceeding with the preprocessor's result" >&2;}
     14904    { echo "$as_me:$LINENO: WARNING: stdint.h: in the future, the compiler will take precedence" >&5
     14905echo "$as_me: WARNING: stdint.h: in the future, the compiler will take precedence" >&2;}
     14906
     14907    ;;
     14908esac
     14909{ echo "$as_me:$LINENO: checking for stdint.h" >&5
     14910echo $ECHO_N "checking for stdint.h... $ECHO_C" >&6; }
     14911if test "${ac_cv_header_stdint_h+set}" = set; then
     14912  echo $ECHO_N "(cached) $ECHO_C" >&6
     14913else
     14914  ac_cv_header_stdint_h=$ac_header_preproc
     14915fi
     14916{ echo "$as_me:$LINENO: result: $ac_cv_header_stdint_h" >&5
     14917echo "${ECHO_T}$ac_cv_header_stdint_h" >&6; }
     14918
     14919fi
     14920if test $ac_cv_header_stdint_h = yes; then
     14921   ac_config_commands="$ac_config_commands rm-stdint.h"
     14922
     14923else
     14924   ac_config_commands="$ac_config_commands mk-stdint.h"
     14925
     14926
     14927fi
     14928
     14929
     14930
     14931if test "${ac_cv_header_stdbool_h+set}" = set; then
     14932  { echo "$as_me:$LINENO: checking for stdbool.h" >&5
     14933echo $ECHO_N "checking for stdbool.h... $ECHO_C" >&6; }
     14934if test "${ac_cv_header_stdbool_h+set}" = set; then
     14935  echo $ECHO_N "(cached) $ECHO_C" >&6
     14936fi
     14937{ echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
     14938echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6; }
     14939else
     14940  # Is the header compilable?
     14941{ echo "$as_me:$LINENO: checking stdbool.h usability" >&5
     14942echo $ECHO_N "checking stdbool.h usability... $ECHO_C" >&6; }
     14943cat >conftest.$ac_ext <<_ACEOF
     14944/* confdefs.h.  */
     14945_ACEOF
     14946cat confdefs.h >>conftest.$ac_ext
     14947cat >>conftest.$ac_ext <<_ACEOF
     14948/* end confdefs.h.  */
     14949$ac_includes_default
     14950#include <stdbool.h>
     14951_ACEOF
     14952rm -f conftest.$ac_objext
     14953if { (ac_try="$ac_compile"
     14954case "(($ac_try" in
     14955  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     14956  *) ac_try_echo=$ac_try;;
     14957esac
     14958eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     14959  (eval "$ac_compile") 2>conftest.er1
     14960  ac_status=$?
     14961  grep -v '^ *+' conftest.er1 >conftest.err
     14962  rm -f conftest.er1
     14963  cat conftest.err >&5
     14964  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     14965  (exit $ac_status); } &&
     14966         { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
     14967  { (case "(($ac_try" in
     14968  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     14969  *) ac_try_echo=$ac_try;;
     14970esac
     14971eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     14972  (eval "$ac_try") 2>&5
     14973  ac_status=$?
     14974  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     14975  (exit $ac_status); }; } &&
     14976         { ac_try='test -s conftest.$ac_objext'
     14977  { (case "(($ac_try" in
     14978  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     14979  *) ac_try_echo=$ac_try;;
     14980esac
     14981eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     14982  (eval "$ac_try") 2>&5
     14983  ac_status=$?
     14984  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     14985  (exit $ac_status); }; }; then
     14986  ac_header_compiler=yes
     14987else
     14988  echo "$as_me: failed program was:" >&5
     14989sed 's/^/| /' conftest.$ac_ext >&5
     14990
     14991        ac_header_compiler=no
     14992fi
     14993
     14994rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     14995{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     14996echo "${ECHO_T}$ac_header_compiler" >&6; }
     14997
     14998# Is the header present?
     14999{ echo "$as_me:$LINENO: checking stdbool.h presence" >&5
     15000echo $ECHO_N "checking stdbool.h presence... $ECHO_C" >&6; }
     15001cat >conftest.$ac_ext <<_ACEOF
     15002/* confdefs.h.  */
     15003_ACEOF
     15004cat confdefs.h >>conftest.$ac_ext
     15005cat >>conftest.$ac_ext <<_ACEOF
     15006/* end confdefs.h.  */
     15007#include <stdbool.h>
     15008_ACEOF
     15009if { (ac_try="$ac_cpp conftest.$ac_ext"
     15010case "(($ac_try" in
     15011  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     15012  *) ac_try_echo=$ac_try;;
     15013esac
     15014eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     15015  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
     15016  ac_status=$?
     15017  grep -v '^ *+' conftest.er1 >conftest.err
     15018  rm -f conftest.er1
     15019  cat conftest.err >&5
     15020  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     15021  (exit $ac_status); } >/dev/null; then
     15022  if test -s conftest.err; then
     15023    ac_cpp_err=$ac_c_preproc_warn_flag
     15024    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     15025  else
     15026    ac_cpp_err=
     15027  fi
     15028else
     15029  ac_cpp_err=yes
     15030fi
     15031if test -z "$ac_cpp_err"; then
     15032  ac_header_preproc=yes
     15033else
     15034  echo "$as_me: failed program was:" >&5
     15035sed 's/^/| /' conftest.$ac_ext >&5
     15036
     15037  ac_header_preproc=no
     15038fi
     15039
     15040rm -f conftest.err conftest.$ac_ext
     15041{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     15042echo "${ECHO_T}$ac_header_preproc" >&6; }
     15043
     15044# So?  What about this header?
     15045case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     15046  yes:no: )
     15047    { echo "$as_me:$LINENO: WARNING: stdbool.h: accepted by the compiler, rejected by the preprocessor!" >&5
     15048echo "$as_me: WARNING: stdbool.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
     15049    { echo "$as_me:$LINENO: WARNING: stdbool.h: proceeding with the compiler's result" >&5
     15050echo "$as_me: WARNING: stdbool.h: proceeding with the compiler's result" >&2;}
     15051    ac_header_preproc=yes
     15052    ;;
     15053  no:yes:* )
     15054    { echo "$as_me:$LINENO: WARNING: stdbool.h: present but cannot be compiled" >&5
     15055echo "$as_me: WARNING: stdbool.h: present but cannot be compiled" >&2;}
     15056    { echo "$as_me:$LINENO: WARNING: stdbool.h:     check for missing prerequisite headers?" >&5
     15057echo "$as_me: WARNING: stdbool.h:     check for missing prerequisite headers?" >&2;}
     15058    { echo "$as_me:$LINENO: WARNING: stdbool.h: see the Autoconf documentation" >&5
     15059echo "$as_me: WARNING: stdbool.h: see the Autoconf documentation" >&2;}
     15060    { echo "$as_me:$LINENO: WARNING: stdbool.h:     section \"Present But Cannot Be Compiled\"" >&5
     15061echo "$as_me: WARNING: stdbool.h:     section \"Present But Cannot Be Compiled\"" >&2;}
     15062    { echo "$as_me:$LINENO: WARNING: stdbool.h: proceeding with the preprocessor's result" >&5
     15063echo "$as_me: WARNING: stdbool.h: proceeding with the preprocessor's result" >&2;}
     15064    { echo "$as_me:$LINENO: WARNING: stdbool.h: in the future, the compiler will take precedence" >&5
     15065echo "$as_me: WARNING: stdbool.h: in the future, the compiler will take precedence" >&2;}
     15066
     15067    ;;
     15068esac
     15069{ echo "$as_me:$LINENO: checking for stdbool.h" >&5
     15070echo $ECHO_N "checking for stdbool.h... $ECHO_C" >&6; }
     15071if test "${ac_cv_header_stdbool_h+set}" = set; then
     15072  echo $ECHO_N "(cached) $ECHO_C" >&6
     15073else
     15074  ac_cv_header_stdbool_h=$ac_header_preproc
     15075fi
     15076{ echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
     15077echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6; }
     15078
     15079fi
     15080if test $ac_cv_header_stdbool_h = yes; then
     15081   ac_config_commands="$ac_config_commands rm-stdbool.h"
     15082
     15083else
     15084   ac_config_commands="$ac_config_commands mk-stdbool.h"
     15085
     15086
     15087fi
     15088
     15089
     15090
     15091
    1476815092{ echo "$as_me:$LINENO: checking for bool" >&5
    1476915093echo $ECHO_N "checking for bool... $ECHO_C" >&6; }
     
    1644816772
    1644916773
    16450 
    16451 for ac_func in waitpid strlcpy strlcat innetgr initgroups memmove strdup
     16774for ac_func in waitpid strlcpy strlcat initgroups memmove strdup
    1645216775do
    1645316776as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
     
    1824018563
    1824118564
    18242 
    18243 for ac_func in strnlen setenv
     18565 { echo "$as_me:$LINENO: checking for setenv declaration" >&5
     18566echo $ECHO_N "checking for setenv declaration... $ECHO_C" >&6; }
     18567if test "${ac_cv_have_setenv_decl+set}" = set; then
     18568  echo $ECHO_N "(cached) $ECHO_C" >&6
     18569else
     18570
     18571    cat >conftest.$ac_ext <<_ACEOF
     18572/* confdefs.h.  */
     18573_ACEOF
     18574cat confdefs.h >>conftest.$ac_ext
     18575cat >>conftest.$ac_ext <<_ACEOF
     18576/* end confdefs.h.  */
     18577#include <stdlib.h>
     18578int
     18579main ()
     18580{
     18581int i = (int)setenv
     18582  ;
     18583  return 0;
     18584}
     18585_ACEOF
     18586rm -f conftest.$ac_objext
     18587if { (ac_try="$ac_compile"
     18588case "(($ac_try" in
     18589  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     18590  *) ac_try_echo=$ac_try;;
     18591esac
     18592eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     18593  (eval "$ac_compile") 2>conftest.er1
     18594  ac_status=$?
     18595  grep -v '^ *+' conftest.er1 >conftest.err
     18596  rm -f conftest.er1
     18597  cat conftest.err >&5
     18598  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     18599  (exit $ac_status); } &&
     18600         { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
     18601  { (case "(($ac_try" in
     18602  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     18603  *) ac_try_echo=$ac_try;;
     18604esac
     18605eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     18606  (eval "$ac_try") 2>&5
     18607  ac_status=$?
     18608  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     18609  (exit $ac_status); }; } &&
     18610         { ac_try='test -s conftest.$ac_objext'
     18611  { (case "(($ac_try" in
     18612  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     18613  *) ac_try_echo=$ac_try;;
     18614esac
     18615eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     18616  (eval "$ac_try") 2>&5
     18617  ac_status=$?
     18618  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     18619  (exit $ac_status); }; }; then
     18620  ac_cv_have_setenv_decl=yes
     18621else
     18622  echo "$as_me: failed program was:" >&5
     18623sed 's/^/| /' conftest.$ac_ext >&5
     18624
     18625        ac_cv_have_setenv_decl=no
     18626fi
     18627
     18628rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     18629fi
     18630{ echo "$as_me:$LINENO: result: $ac_cv_have_setenv_decl" >&5
     18631echo "${ECHO_T}$ac_cv_have_setenv_decl" >&6; }
     18632 if test x"$ac_cv_have_setenv_decl" = x"yes"; then
     18633
     18634cat >>confdefs.h <<\_ACEOF
     18635#define HAVE_SETENV_DECL 1
     18636_ACEOF
     18637
     18638 fi
     18639
     18640
     18641
     18642for ac_func in setenv unsetenv
     18643do
     18644as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
     18645{ echo "$as_me:$LINENO: checking for $ac_func" >&5
     18646echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
     18647if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
     18648  echo $ECHO_N "(cached) $ECHO_C" >&6
     18649else
     18650  cat >conftest.$ac_ext <<_ACEOF
     18651/* confdefs.h.  */
     18652_ACEOF
     18653cat confdefs.h >>conftest.$ac_ext
     18654cat >>conftest.$ac_ext <<_ACEOF
     18655/* end confdefs.h.  */
     18656/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
     18657   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
     18658#define $ac_func innocuous_$ac_func
     18659
     18660/* System header to define __stub macros and hopefully few prototypes,
     18661    which can conflict with char $ac_func (); below.
     18662    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     18663    <limits.h> exists even on freestanding compilers.  */
     18664
     18665#ifdef __STDC__
     18666# include <limits.h>
     18667#else
     18668# include <assert.h>
     18669#endif
     18670
     18671#undef $ac_func
     18672
     18673/* Override any GCC internal prototype to avoid an error.
     18674   Use char because int might match the return type of a GCC
     18675   builtin and then its argument prototype would still apply.  */
     18676#ifdef __cplusplus
     18677extern "C"
     18678#endif
     18679char $ac_func ();
     18680/* The GNU C library defines this for functions which it implements
     18681    to always fail with ENOSYS.  Some functions are actually named
     18682    something starting with __ and the normal name is an alias.  */
     18683#if defined __stub_$ac_func || defined __stub___$ac_func
     18684choke me
     18685#endif
     18686
     18687int
     18688main ()
     18689{
     18690return $ac_func ();
     18691  ;
     18692  return 0;
     18693}
     18694_ACEOF
     18695rm -f conftest.$ac_objext conftest$ac_exeext
     18696if { (ac_try="$ac_link"
     18697case "(($ac_try" in
     18698  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     18699  *) ac_try_echo=$ac_try;;
     18700esac
     18701eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     18702  (eval "$ac_link") 2>conftest.er1
     18703  ac_status=$?
     18704  grep -v '^ *+' conftest.er1 >conftest.err
     18705  rm -f conftest.er1
     18706  cat conftest.err >&5
     18707  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     18708  (exit $ac_status); } &&
     18709         { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
     18710  { (case "(($ac_try" in
     18711  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     18712  *) ac_try_echo=$ac_try;;
     18713esac
     18714eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     18715  (eval "$ac_try") 2>&5
     18716  ac_status=$?
     18717  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     18718  (exit $ac_status); }; } &&
     18719         { ac_try='test -s conftest$ac_exeext'
     18720  { (case "(($ac_try" in
     18721  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     18722  *) ac_try_echo=$ac_try;;
     18723esac
     18724eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     18725  (eval "$ac_try") 2>&5
     18726  ac_status=$?
     18727  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     18728  (exit $ac_status); }; }; then
     18729  eval "$as_ac_var=yes"
     18730else
     18731  echo "$as_me: failed program was:" >&5
     18732sed 's/^/| /' conftest.$ac_ext >&5
     18733
     18734        eval "$as_ac_var=no"
     18735fi
     18736
     18737rm -f core conftest.err conftest.$ac_objext \
     18738      conftest$ac_exeext conftest.$ac_ext
     18739fi
     18740ac_res=`eval echo '${'$as_ac_var'}'`
     18741               { echo "$as_me:$LINENO: result: $ac_res" >&5
     18742echo "${ECHO_T}$ac_res" >&6; }
     18743if test `eval echo '${'$as_ac_var'}'` = yes; then
     18744  cat >>confdefs.h <<_ACEOF
     18745#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
     18746_ACEOF
     18747
     18748fi
     18749done
     18750
     18751
     18752
     18753for ac_func in strnlen
    1824418754do
    1824518755as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
     
    2150322013fi
    2150422014
     22015{ echo "$as_me:$LINENO: checking whether strptime is available and works" >&5
     22016echo $ECHO_N "checking whether strptime is available and works... $ECHO_C" >&6; }
     22017if test "${libreplace_cv_STRPTIME_OK+set}" = set; then
     22018  echo $ECHO_N "(cached) $ECHO_C" >&6
     22019else
     22020
     22021        if test "$cross_compiling" = yes; then
     22022  libreplace_cv_STRPTIME_OK="assuming not"
     22023else
     22024  cat >conftest.$ac_ext <<_ACEOF
     22025/* confdefs.h.  */
     22026_ACEOF
     22027cat confdefs.h >>conftest.$ac_ext
     22028cat >>conftest.$ac_ext <<_ACEOF
     22029/* end confdefs.h.  */
     22030
     22031                #define LIBREPLACE_CONFIGURE_TEST_STRPTIME
     22032                #include "$libreplacedir/test/strptime.c"
     22033
     22034_ACEOF
     22035rm -f conftest$ac_exeext
     22036if { (ac_try="$ac_link"
     22037case "(($ac_try" in
     22038  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     22039  *) ac_try_echo=$ac_try;;
     22040esac
     22041eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     22042  (eval "$ac_link") 2>&5
     22043  ac_status=$?
     22044  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22045  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     22046  { (case "(($ac_try" in
     22047  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     22048  *) ac_try_echo=$ac_try;;
     22049esac
     22050eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     22051  (eval "$ac_try") 2>&5
     22052  ac_status=$?
     22053  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22054  (exit $ac_status); }; }; then
     22055  libreplace_cv_STRPTIME_OK=yes
     22056else
     22057  echo "$as_me: program exited with status $ac_status" >&5
     22058echo "$as_me: failed program was:" >&5
     22059sed 's/^/| /' conftest.$ac_ext >&5
     22060
     22061( exit $ac_status )
     22062libreplace_cv_STRPTIME_OK=no
     22063fi
     22064rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     22065fi
     22066
     22067
     22068
     22069fi
     22070{ echo "$as_me:$LINENO: result: $libreplace_cv_STRPTIME_OK" >&5
     22071echo "${ECHO_T}$libreplace_cv_STRPTIME_OK" >&6; }
     22072if test x"$libreplace_cv_STRPTIME_OK" != x"yes"; then
     22073
     22074cat >>confdefs.h <<\_ACEOF
     22075#define REPLACE_STRPTIME 1
     22076_ACEOF
     22077
     22078        LIBREPLACEOBJ="${LIBREPLACEOBJ} strptime.o"
     22079fi
     22080
    2150522081
    2150622082
     
    2249023066
    2249123067
    22492 
    22493 
    22494 
    22495 for ac_func in syslog memset setnetgrent getnetgrent endnetgrent memcpy
     23068for ac_func in syslog memset memcpy
    2249623069do
    2249723070as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
     
    6095161524    ac_check_func_ext_save_LIBS=$LIBS
    6095261525    LIBS="$KRB5_LIBS $LIBS"
     61526        { echo "$as_me:$LINENO: checking for krb5_verify_checksum" >&5
     61527echo $ECHO_N "checking for krb5_verify_checksum... $ECHO_C" >&6; }
     61528if test "${ac_cv_func_ext_krb5_verify_checksum+set}" = set; then
     61529  echo $ECHO_N "(cached) $ECHO_C" >&6
     61530else
     61531  cat >conftest.$ac_ext <<_ACEOF
     61532/* confdefs.h.  */
     61533_ACEOF
     61534cat confdefs.h >>conftest.$ac_ext
     61535cat >>conftest.$ac_ext <<_ACEOF
     61536/* end confdefs.h.  */
     61537/* Define krb5_verify_checksum to an innocuous variant, in case <limits.h> declares krb5_verify_checksum.
     61538   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
     61539#define krb5_verify_checksum innocuous_krb5_verify_checksum
     61540
     61541/* System header to define __stub macros and hopefully few prototypes,
     61542    which can conflict with char krb5_verify_checksum (); below.
     61543    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     61544    <limits.h> exists even on freestanding compilers.  */
     61545
     61546#ifdef __STDC__
     61547# include <limits.h>
     61548#else
     61549# include <assert.h>
     61550#endif
     61551
     61552#undef krb5_verify_checksum
     61553
     61554/* Override any GCC internal prototype to avoid an error.
     61555   Use char because int might match the return type of a GCC
     61556   builtin and then its argument prototype would still apply.  */
     61557#ifdef __cplusplus
     61558extern "C"
     61559#endif
     61560char krb5_verify_checksum ();
     61561/* The GNU C library defines this for functions which it implements
     61562    to always fail with ENOSYS.  Some functions are actually named
     61563    something starting with __ and the normal name is an alias.  */
     61564#if defined __stub_krb5_verify_checksum || defined __stub___krb5_verify_checksum
     61565choke me
     61566#endif
     61567
     61568int
     61569main ()
     61570{
     61571return krb5_verify_checksum ();
     61572  ;
     61573  return 0;
     61574}
     61575_ACEOF
     61576rm -f conftest.$ac_objext conftest$ac_exeext
     61577if { (ac_try="$ac_link"
     61578case "(($ac_try" in
     61579  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     61580  *) ac_try_echo=$ac_try;;
     61581esac
     61582eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     61583  (eval "$ac_link") 2>conftest.er1
     61584  ac_status=$?
     61585  grep -v '^ *+' conftest.er1 >conftest.err
     61586  rm -f conftest.er1
     61587  cat conftest.err >&5
     61588  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     61589  (exit $ac_status); } &&
     61590         { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
     61591  { (case "(($ac_try" in
     61592  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     61593  *) ac_try_echo=$ac_try;;
     61594esac
     61595eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     61596  (eval "$ac_try") 2>&5
     61597  ac_status=$?
     61598  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     61599  (exit $ac_status); }; } &&
     61600         { ac_try='test -s conftest$ac_exeext'
     61601  { (case "(($ac_try" in
     61602  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     61603  *) ac_try_echo=$ac_try;;
     61604esac
     61605eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     61606  (eval "$ac_try") 2>&5
     61607  ac_status=$?
     61608  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     61609  (exit $ac_status); }; }; then
     61610  ac_cv_func_ext_krb5_verify_checksum=yes
     61611else
     61612  echo "$as_me: failed program was:" >&5
     61613sed 's/^/| /' conftest.$ac_ext >&5
     61614
     61615        ac_cv_func_ext_krb5_verify_checksum=no
     61616fi
     61617
     61618rm -f core conftest.err conftest.$ac_objext \
     61619      conftest$ac_exeext conftest.$ac_ext
     61620fi
     61621{ echo "$as_me:$LINENO: result: $ac_cv_func_ext_krb5_verify_checksum" >&5
     61622echo "${ECHO_T}$ac_cv_func_ext_krb5_verify_checksum" >&6; }
     61623    LIBS=$ac_check_func_ext_save_LIBS
     61624    if test $ac_cv_func_ext_krb5_verify_checksum = yes; then
     61625  cat >>confdefs.h <<_ACEOF
     61626#define HAVE_KRB5_VERIFY_CHECKSUM 1
     61627_ACEOF
     61628
     61629fi
     61630
     61631
     61632
     61633
     61634    ac_check_func_ext_save_LIBS=$LIBS
     61635    LIBS="$KRB5_LIBS $LIBS"
    6095361636        { echo "$as_me:$LINENO: checking for krb5_c_verify_checksum" >&5
    6095461637echo $ECHO_N "checking for krb5_c_verify_checksum... $ECHO_C" >&6; }
     
    6224162924cat >>confdefs.h <<\_ACEOF
    6224262925#define KRB5_TICKET_HAS_KEYINFO 1
     62926_ACEOF
     62927
     62928  fi
     62929
     62930  { echo "$as_me:$LINENO: checking whether krb5_get_init_creds_opt_free takes a context argument" >&5
     62931echo $ECHO_N "checking whether krb5_get_init_creds_opt_free takes a context argument... $ECHO_C" >&6; }
     62932if test "${smb_krb5_creds_opt_free_context+set}" = set; then
     62933  echo $ECHO_N "(cached) $ECHO_C" >&6
     62934else
     62935
     62936                cat >conftest.$ac_ext <<_ACEOF
     62937/* confdefs.h.  */
     62938_ACEOF
     62939cat confdefs.h >>conftest.$ac_ext
     62940cat >>conftest.$ac_ext <<_ACEOF
     62941/* end confdefs.h.  */
     62942
     62943                    #include <krb5.h>
     62944int
     62945main ()
     62946{
     62947
     62948                        krb5_context ctx;
     62949                        krb5_get_init_creds_opt *opt = NULL;
     62950                        krb5_get_init_creds_opt_free(ctx, opt);
     62951
     62952  ;
     62953  return 0;
     62954}
     62955_ACEOF
     62956rm -f conftest.$ac_objext
     62957if { (ac_try="$ac_compile"
     62958case "(($ac_try" in
     62959  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     62960  *) ac_try_echo=$ac_try;;
     62961esac
     62962eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     62963  (eval "$ac_compile") 2>conftest.er1
     62964  ac_status=$?
     62965  grep -v '^ *+' conftest.er1 >conftest.err
     62966  rm -f conftest.er1
     62967  cat conftest.err >&5
     62968  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     62969  (exit $ac_status); } &&
     62970         { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
     62971  { (case "(($ac_try" in
     62972  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     62973  *) ac_try_echo=$ac_try;;
     62974esac
     62975eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     62976  (eval "$ac_try") 2>&5
     62977  ac_status=$?
     62978  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     62979  (exit $ac_status); }; } &&
     62980         { ac_try='test -s conftest.$ac_objext'
     62981  { (case "(($ac_try" in
     62982  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     62983  *) ac_try_echo=$ac_try;;
     62984esac
     62985eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     62986  (eval "$ac_try") 2>&5
     62987  ac_status=$?
     62988  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     62989  (exit $ac_status); }; }; then
     62990  smb_krb5_creds_opt_free_context=yes
     62991else
     62992  echo "$as_me: failed program was:" >&5
     62993sed 's/^/| /' conftest.$ac_ext >&5
     62994
     62995        smb_krb5_creds_opt_free_context=no
     62996
     62997fi
     62998
     62999rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     63000
     63001fi
     63002{ echo "$as_me:$LINENO: result: $smb_krb5_creds_opt_free_context" >&5
     63003echo "${ECHO_T}$smb_krb5_creds_opt_free_context" >&6; }
     63004
     63005  if test x"$smb_krb5_creds_opt_free_context" = x"yes" ; then
     63006
     63007cat >>confdefs.h <<\_ACEOF
     63008#define KRB5_CREDS_OPT_FREE_REQUIRES_CONTEXT 1
    6224363009_ACEOF
    6224463010
     
    7230673072
    7230773073
     73074if test $BLDSHARED = true -a x"$HAVE_WINBIND" = x"yes"; then
     73075        NSS_MODULES="${WINBIND_NSS} ${WINBIND_WINS_NSS}"
     73076fi
     73077
    7230873078
    7230973079
     
    7671277482config_files="$ac_config_files"
    7671377483config_headers="$ac_config_headers"
     77484config_commands="$ac_config_commands"
    7671477485
    7671577486_ACEOF
     
    7673777508Configuration headers:
    7673877509$config_headers
     77510
     77511Configuration commands:
     77512$config_commands
    7673977513
    7674077514Report bugs to <bug-autoconf@gnu.org>."
     
    7684377617_ACEOF
    7684477618cat >>$CONFIG_STATUS <<_ACEOF
     77619#
     77620# INIT-COMMANDS
     77621#
     77622libreplacedir=$libreplacedir
     77623libreplacedir=$libreplacedir
     77624libreplacedir=$libreplacedir
     77625libreplacedir=$libreplacedir
     77626
    7684577627_ACEOF
    7684677628
     
    7685277634  case $ac_config_target in
    7685377635    "include/config.h") CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
     77636    "rm-stdint.h") CONFIG_COMMANDS="$CONFIG_COMMANDS rm-stdint.h" ;;
     77637    "mk-stdint.h") CONFIG_COMMANDS="$CONFIG_COMMANDS mk-stdint.h" ;;
     77638    "rm-stdbool.h") CONFIG_COMMANDS="$CONFIG_COMMANDS rm-stdbool.h" ;;
     77639    "mk-stdbool.h") CONFIG_COMMANDS="$CONFIG_COMMANDS mk-stdbool.h" ;;
    7685477640    "include/stamp-h") CONFIG_FILES="$CONFIG_FILES include/stamp-h" ;;
    7685577641    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
     
    7687477660  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
    7687577661  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
     77662  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
    7687677663fi
    7687777664
     
    7706077847INSTALL_PAM_MODULES!$INSTALL_PAM_MODULES$ac_delim
    7706177848UNINSTALL_PAM_MODULES!$UNINSTALL_PAM_MODULES$ac_delim
     77849NSS_MODULES!$NSS_MODULES$ac_delim
    7706277850EXTRA_BIN_PROGS!$EXTRA_BIN_PROGS$ac_delim
    7706377851SMBMOUNT_PROGS!$SMBMOUNT_PROGS$ac_delim
     
    7713977927_ACEOF
    7714077928
    77141   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 79; then
     77929  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 80; then
    7714277930    break
    7714377931  elif $ac_last_try; then
     
    7719677984
    7719777985
    77198 for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS
     77986for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
    7719977987do
    7720077988  case $ac_tag in
     
    7753578323 ;;
    7753678324
    77537 
     78325  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
     78326echo "$as_me: executing $ac_file commands" >&6;}
     78327 ;;
    7753878328  esac
    7753978329
     78330
     78331  case $ac_file$ac_mode in
     78332    "rm-stdint.h":C) rm -f $libreplacedir/stdint.h ;;
     78333    "mk-stdint.h":C) echo "#include \"replace.h\"" > $libreplacedir/stdint.h ;;
     78334    "rm-stdbool.h":C) rm -f $libreplacedir/stdbool.h ;;
     78335    "mk-stdbool.h":C) echo "#include \"replace.h\"" > $libreplacedir/stdbool.h ;;
     78336
     78337  esac
    7754078338done # for ac_tag
    7754178339
Note: See TracChangeset for help on using the changeset viewer.